summaryrefslogtreecommitdiffstats
path: root/source/d
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-06-06 20:57:15 +0000
committer Eric Hameleers <alien@slackware.com>2022-06-07 07:00:10 +0200
commit0c63f7504daccbf4cc384855d9728d40e8c64eae (patch)
treed82c9435cffe62cc38fb4db9a0d7c0783f652ce8 /source/d
parent3909811c024d360abcea79183d32b21b082f6df9 (diff)
downloadcurrent-0c63f7504daccbf4cc384855d9728d40e8c64eae.tar.gz
current-0c63f7504daccbf4cc384855d9728d40e8c64eae.tar.xz
Mon Jun 6 20:57:15 UTC 202220220606205715
a/btrfs-progs-5.18.1-x86_64-1.txz: Upgraded. a/kernel-generic-5.17.13-x86_64-1.txz: Upgraded. a/kernel-huge-5.17.13-x86_64-1.txz: Upgraded. a/kernel-modules-5.17.13-x86_64-1.txz: Upgraded. d/kernel-headers-5.17.13-x86-1.txz: Upgraded. d/pahole-1.23-x86_64-1.txz: Added. Thanks to xaizek and PiterPunk. k/kernel-source-5.17.13-noarch-1.txz: Upgraded. l/gmime-3.2.12-x86_64-1.txz: Upgraded. l/imagemagick-7.1.0_37-x86_64-1.txz: Upgraded. l/python-setuptools_scm-6.4.2-x86_64-1.txz: Upgraded. n/alpine-2.26-x86_64-1.txz: Upgraded. n/mutt-2.2.6-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. testing/packages/linux-5.18.x/kernel-generic-5.18.2-x86_64-1.txz: Added. testing/packages/linux-5.18.x/kernel-headers-5.18.2-x86-1.txz: Added. testing/packages/linux-5.18.x/kernel-huge-5.18.2-x86_64-1.txz: Added. testing/packages/linux-5.18.x/kernel-modules-5.18.2-x86_64-1.txz: Added. testing/packages/linux-5.18.x/kernel-source-5.18.2-noarch-1.txz: Added. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/d')
-rw-r--r--source/d/pahole/libbpf.url1
-rwxr-xr-xsource/d/pahole/pahole.SlackBuild120
-rw-r--r--source/d/pahole/pahole.url1
-rw-r--r--source/d/pahole/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/source/d/pahole/libbpf.url b/source/d/pahole/libbpf.url
new file mode 100644
index 000000000..3700eaefc
--- /dev/null
+++ b/source/d/pahole/libbpf.url
@@ -0,0 +1 @@
+https://github.com/libbpf/libbpf
diff --git a/source/d/pahole/pahole.SlackBuild b/source/d/pahole/pahole.SlackBuild
new file mode 100755
index 000000000..c00e79365
--- /dev/null
+++ b/source/d/pahole/pahole.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Copyright 2019 xaizek <xaizek@posteo.net>
+# Copyright 2021 Piter Punk <piterpunk@slackware.com>
+# Copyright 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=pahole
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+LIBBPF_VERSION=${LIBBPF_VERSION:-$(echo libbpf-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION
+tar xvf $CWD/libbpf-${LIBBPF_VERSION}.tar.?z --strip-components=1 -C lib/bpf || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -D__LIB="lib${LIBDIRSUFFIX}" \
+ -DCMAKE_BUILD_TYPE=Release \
+ .. || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mv $PKG/usr/share/man $PKG/usr/man
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING* NEWS* README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/libbpf-${LIBBPF_VERSION}
+cd lib/bpf
+cp -a BPF-CHECKPOINT-COMMIT* CHECKPOINT-COMMIT* LICENSE* README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION/libbpf-${LIBBPF_VERSION}
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/d/pahole/pahole.url b/source/d/pahole/pahole.url
new file mode 100644
index 000000000..289a3b30c
--- /dev/null
+++ b/source/d/pahole/pahole.url
@@ -0,0 +1 @@
+https://git.kernel.org/cgit/devel/pahole/pahole.git
diff --git a/source/d/pahole/slack-desc b/source/d/pahole/slack-desc
new file mode 100644
index 000000000..29e401bac
--- /dev/null
+++ b/source/d/pahole/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pahole: pahole (debugging format utilities)
+pahole:
+pahole: pahole shows data structure layouts encoded in debugging information
+pahole: formats with DWARF, CTF, and BTF being supported.
+pahole:
+pahole: This is useful for, among other things: optimizing important data
+pahole: structures by reducing their size, figuring out what is the field
+pahole: sitting at an offset from the start of a data structure, investigating
+pahole: ABI changes and more generally understanding a new codebase you have
+pahole: to work with.
+pahole: